Loading...
Searching...
No Matches
OgreBites::WindowEventListener Class Reference
Optional Components » Bites

Callback class used to send out window events to client app. More...

`#include <OgreWindowEventUtilities.h>`

## Public Member Functions

virtual | ~WindowEventListener ()
virtual void | windowClosed (Ogre::RenderWindow *rw)
| Window has been closed (Only triggered if user pressed the [X] button).
virtual bool | windowClosing (Ogre::RenderWindow *rw)
| Window is closing (Only triggered if user pressed the [X] button).
virtual void | windowFocusChange (Ogre::RenderWindow *rw)
| Window has lost/gained focus.
virtual void | windowMoved (Ogre::RenderWindow *rw)
| Window has moved position.
virtual void | windowResized (Ogre::RenderWindow *rw)
| Window has resized.

## Detailed Description

Callback class used to send out window events to client app.

## Constructor & Destructor Documentation

## ~WindowEventListener()

virtual OgreBites::WindowEventListener::~WindowEventListener | ( |  | ) |

inline virtual

## Member Function Documentation

## windowMoved()

virtual void OgreBites::WindowEventListener::windowMoved | ( | Ogre::RenderWindow * | rw | ) |

inline virtual

Window has moved position.

Parameters

  rw | The RenderWindow which created this events

## windowResized()

virtual void OgreBites::WindowEventListener::windowResized | ( | Ogre::RenderWindow * | rw | ) |

inline virtual

Window has resized.

Parameters

  rw | The RenderWindow which created this events

## windowClosing()

virtual bool OgreBites::WindowEventListener::windowClosing | ( | Ogre::RenderWindow * | rw | ) |

inline virtual

Window is closing (Only triggered if user pressed the [X] button).

Parameters

  rw | The RenderWindow which created this events

Returns
  True will close the window(default).

## windowClosed()

virtual void OgreBites::WindowEventListener::windowClosed | ( | Ogre::RenderWindow * | rw | ) |

inline virtual

Window has been closed (Only triggered if user pressed the [X] button).

Parameters

  rw | The RenderWindow which created this events

Note
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

## windowFocusChange()

virtual void OgreBites::WindowEventListener::windowFocusChange | ( | Ogre::RenderWindow * | rw | ) |

inline virtual

Window has lost/gained focus.

Parameters

  rw | The RenderWindow which created this events

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h